package org.mentacontainer;

/**
 * An IoC factory that knows how to create instances.
 * 
 * @author sergio.oliveira.jr@gmail.com
 */
public interface Factory {
	
	/**
	 * Instantiate the bean. A new instance is returned each time this method is called.
	 * 
	 * @return An instance created by this factory.
	 */
	public <T> T getInstance();
	
	
	/**
	 * Return the type of objects that this factory creates.
	 * @return The type of objects created by this factory.
	 */
	public Class<? extends Object> getType();
}