package org.mentacontainer.impl;

import org.mentacontainer.Factory;

public class WrapperFactory implements Factory {
	
	private final Object instance;
	
	private final Class<? extends Object> type;
	
	
	public WrapperFactory(Object instance) {

		this.instance = instance;
		
		this.type = instance.getClass();
	}
	
	@Override
	public <T> T getInstance()  {
		
		return (T) instance;
	}
	
	@Override
	public Class<? extends Object> getType() {
		
		return type;
	}
}